<!--
  Generated template for the DaftarResepPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon style="color:white" name="menu"></ion-icon>
    </button>
    <ion-title style="color:white">Daftar Resep</ion-title>
  </ion-navbar>
</ion-header>


 <ion-content  *ngIf="typeAccount=='pasien'" padding style="background-color: #f7f69e">
    <!-- <ion-card>
        <ion-card-header (click)="toggleAccordion()">
         ronald
        </ion-card-header>
        <ion-card-content class="nenen">
         tololo
        </ion-card-content>
    </ion-card> 
    <ion-card>
        <ion-card-header (click)="toggleAccordion()">
         ronald
        </ion-card-header>
        <ion-card-content class="nenen">
         tololo
        </ion-card-content>
    </ion-card>  --> 
    
  <ion-card *ngFor="let r of recipesData; let i = index" (click)="toggleGroup(i)" [ngClass]="{active: isGroupShown(i)}">
    <div *ngIf = "r.email == accEmail">
      <ion-card-header>
        <ion-grid>
          <ion-row>
            <p style="font-size:20px; color:#555555"><strong>Dokter {{r.doctor_name}}</strong></p>
          </ion-row>
          <ion-row><small>{{ r.created_at }}</small></ion-row>
        </ion-grid>
      </ion-card-header>

      <ion-card-content *ngIf="isGroupShown(i)">
        <button ion-button clear (click)="detailResep(r)">Show Detail</button>
        <ion-list style="border-top:1px solid #c0c0c0;">
          <div *ngFor = "let m of medListData">
            <ion-item-sliding *ngIf = "r.id == m.recipe_id" >
              <ion-item>
                  {{m.name}}
                  <ion-icon style ="float:right;" name="arrow-back"></ion-icon>
              </ion-item>
              <ion-item-options>
                <button ion-button (click)="detailObatResep(m)">Detail</button>
                <button ion-button (click)="setAlarm(m)">Set Alarm</button>
              </ion-item-options>
            </ion-item-sliding> 
          </div>
    
          <ion-item style="text-align:center; display: none;">
            <button ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0; " (click)="tambahObat()">Tambah Obat</button>
          </ion-item>
        </ion-list> 
      </ion-card-content>
    </div>
  </ion-card>
  
  <!-- <div  *ngFor = "let r of recipesData">
    <ion-card  no-margin style="width:100%;" margin-bottom *ngIf = "r.email == accEmail">
      <ion-list >
        <ion-item-sliding>
          <ion-item>
              <ion-grid style="padding:0">
                  <ion-row>
                    <ion-col style="padding:0">
                      <h1 style="font-weight:bold;" no-margin>Dokter {{r.doctor_name}}</h1>
                      tgl : {{r.created_at}}
                    </ion-col>
                    <ion-col style="padding:0">
                        <ion-icon style ="float:right; font-size:48px" name="arrow-back"></ion-icon>
                    </ion-col>
                  </ion-row>  
                </ion-grid>
          </ion-item>
          <ion-item-options>
              <button ion-button (click)="detailResep(r)">Detail</button>

            </ion-item-options>
        </ion-item-sliding>
      </ion-list>
  
      <div style="text-align:center">
          <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked()" *ngIf="buttonClicked2"><ion-icon name="arrow-down"></ion-icon></button>
          <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked2()" *ngIf="buttonClicked "><ion-icon name="arrow-up" ></ion-icon></button>
      </div>
  
      <ion-list  style="border-top:1px solid #c0c0c0;">
        <div *ngFor = "let m of medListData">
              <ion-item-sliding *ngIf = "r.id == m.recipe_id" >
                <ion-item>
                    {{m.name}}
                    <ion-icon style ="float:right;" name="arrow-back"></ion-icon>
                </ion-item>
                <ion-item-options>
                  <button ion-button (click)="detailObatResep(m)">Detail</button>
                  <button ion-button (click)="setAlarm(m)">Set Alarm</button>
                </ion-item-options>
              </ion-item-sliding> 
        </div>
  
        <ion-item style="text-align:center; display: none;">
            <button ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0; " (click)="tambahObat()">Tambah Obat</button>
          </ion-item>
      </ion-list> 
  
    </ion-card>  
  </div> -->
  </ion-content>



<ion-content *ngIf="typeAccount=='dokter'" padding style="background-color: #f7f69e">
    <button ion-button ion-fixed 
    *ngIf = "recipeStatus == true" [disabled]="!isenabled"
    id="daftarPasien-button8" 
    style="border-radius:50px 50px 50px 50px; font-size:25px; height:40px; width:40px; color: #ffffff; background-color: #38e09f;
            right:0; margin-right:5px;" 
    class="button button-positive" (click)="buatResepBaru()"><ion-icon name="add"></ion-icon></button>
    <button ion-button ion-fixed 
    *ngIf = "recipeStatus == false" [disabled]="isenabled"
    id="daftarPasien-button8" 
    style="border-radius:50px 50px 50px 50px; font-size:25px; height:40px; width:40px; color: #ffffff; background-color: #38e09f;
            right:0; margin-right:5px;" 
    class="button button-positive" (click)="buatResepBaru()"><ion-icon name="add"></ion-icon></button>
    <ion-card no-margin style="width:100%;" margin-bottom>
        
        <ion-list>
          <ion-item-sliding>
            <ion-item>
              <ion-grid style="padding:0">
                <ion-row>
                  <ion-col *ngIf = "recentRecipe != null" style="padding:0">
                    <h1 style="font-weight:bold;" no-margin>Resep {{newRecipePatient.name}}</h1>
                    tgl : {{recentRecipe.created_at}}
                  </ion-col>
                  <ion-col *ngIf = "recentRecipe == null" style="padding:0">
                      <h1 style="font-weight:bold;" no-margin>Resep Baru</h1>
                      
                  </ion-col>
                  <ion-col style="padding:0">
                      <ion-icon style ="float:right; font-size:48px" name="arrow-back"></ion-icon>
                  </ion-col>
                </ion-row>  
              </ion-grid>
            </ion-item>
            <ion-item-options>
                <button *ngIf = "recentRecipe != null" ion-button (click)="editRecipe(recentRecipe)">Edit</button>
                <button *ngIf = "recentRecipe != null" ion-button color="danger" (click)="deleteRecipe()">Delete</button>
                <button *ngIf = "recentRecipe == null" ion-button (click)="buatResepBaru()">Tambah Baru</button>
              </ion-item-options>
          </ion-item-sliding>
        </ion-list>
    
        <div style="text-align:center">
          <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked()" *ngIf="buttonClicked2"><ion-icon name="arrow-down"></ion-icon></button>
          <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked2()" *ngIf="buttonClicked "><ion-icon name="arrow-up" ></ion-icon></button>
        </div>
        
        <ion-list *ngIf="buttonClicked">
          <div *ngFor = "let m of newMedinRecipeList">
                <ion-item-sliding>
                  <ion-item>
                      {{m.name}}
                      <ion-icon style ="float:right;" name="arrow-back"></ion-icon>
                  </ion-item>
                  <ion-item-options>
                      <button ion-button (click)="editMed(m)">Edit</button>
                      <button ion-button color="danger" (click)="deleteMed(m)">Delete</button>
                  </ion-item-options>
                </ion-item-sliding> 
          </div>
          
          <ion-item style="text-align:center;" >
              <button  *ngIf = "recipeStatus == true" [disabled]="isenabled" ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0;" (click)="tambahObat()">Tambah Obat</button>
              <button  *ngIf = "recipeStatus == false" [disabled]="!isenabled" ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0;" (click)="tambahObat()">Tambah Obat</button>
            </ion-item>
        </ion-list> 
    
        <ion-item style="text-align:center;">
            <button *ngIf = "recipeStatus == true" [disabled]="isenabled" (click)="konfirmasiResep()" ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0;">Konfirmasi Resep</button>
            <button *ngIf = "recipeStatus == false" [disabled]="!isenabled" ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0;">Konfirmasi Resep</button>
        </ion-item>
      </ion-card>  

    <ion-card *ngFor="let r of recipesData; let i = index" (click)="toggleGroup(i)" [ngClass]="{active: isGroupShown(i)}">
        <div *ngIf = "r.email == accEmail">
          <ion-card-header>
            <ion-grid>
              <ion-row>
                <p style="font-size:20px; color:#555555"><strong>Resep {{r.patient_name}}</strong></p>
              </ion-row>
              <ion-row><small>{{ r.created_at }}</small></ion-row>
            </ion-grid>
          </ion-card-header>
    
          <ion-card-content *ngIf="isGroupShown(i)">
            <button ion-button clear (click)="detailResep(r)">Show Detail</button>
            <ion-list style="border-top:1px solid #c0c0c0;">
              <div *ngFor = "let m of medListData">
                <ion-item-sliding *ngIf = "r.id == m.recipe_id" >
                  <ion-item>
                      {{m.name}}
                      <ion-icon style ="float:right;" name="arrow-back"></ion-icon>
                  </ion-item>
                  <ion-item-options>
                    <button ion-button (click)="detailObatResep(m)">Detail</button>
                  </ion-item-options>
                </ion-item-sliding> 
              </div>
        
              <ion-item style="text-align:center; display: none;">
                <button ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0; " (click)="tambahObat()">Tambah Obat</button>
              </ion-item>
            </ion-list> 
          </ion-card-content>
        </div>
      </ion-card>
    
    <ion-card no-margin style="width:100%;" margin-bottom>
      
      
  
      <!-- <div style="text-align:center">
        <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked()" *ngIf="buttonClicked2"><ion-icon name="arrow-down"></ion-icon></button>
        <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked2()" *ngIf="buttonClicked "><ion-icon name="arrow-up" ></ion-icon></button>
      </div> -->
      
    </ion-card>  
  

  <!-- <div *ngFor = "let r of recipesData">
    <ion-card no-margin style="width:100%;" margin-bottom *ngIf = "r.email == accEmail">
      <ion-list>
        <ion-item-sliding>
          <ion-item>
              <ion-grid style="padding:0">
                  <ion-row>
                    <ion-col style="padding:0">
                      <h1 style="font-weight:bold;" no-margin>Resep {{r.patient_name}}</h1>
                      tgl : {{r.created_at}}
                    </ion-col>
                    <ion-col style="padding:0">
                        <ion-icon style ="float:right; font-size:48px" name="arrow-back"></ion-icon>
                    </ion-col>
                  </ion-row>  
                </ion-grid>
          </ion-item>
          <ion-item-options>
              <button ion-button (click)="detailResep(r)">Detail</button>
            </ion-item-options>
        </ion-item-sliding>
      </ion-list>
  
      <div style="text-align:center">
          <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked()" *ngIf="buttonClicked2"><ion-icon name="arrow-down"></ion-icon></button>
          <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked2()" *ngIf="buttonClicked "><ion-icon name="arrow-up" ></ion-icon></button>
      </div>
  
      <ion-list style="border-top:1px solid #c0c0c0;">
        <div *ngFor = "let m of medListData">
              <ion-item-sliding *ngIf = "r.id == m.recipe_id" >
                <ion-item>
                    {{m.name}}
                    <ion-icon style ="float:right;" name="arrow-back"></ion-icon>
                </ion-item>
                <ion-item-options>
                  <button ion-button (click)="detailObatResep(m)">Detail</button>
                </ion-item-options>
              </ion-item-sliding> 
        </div>
  
        <ion-item style="text-align:center; display:none;">
            <button ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0; " (click)="tambahObat()">Tambah Obat</button>
          </ion-item>
      </ion-list> 
  
    </ion-card>  
  </div> -->

  


  </ion-content>


  

  
  